Name:       ibus-indic-table
Version:    1.3.0.20110301
Release:    1%{?dist}
Summary:    The Table engine for IBus platform
License:    LGPLv2+
Group:      System Environment/Libraries
URL:        http://code.google.com/p/ibus/
Source0:    http://ibus.googlecode.com/files/%{name}-%{version}.tar.gz

BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:  noarch

BuildRequires:  gettext-devel

Requires:   ibus

%description
The package contains general Table engine for IBus platform.

%package additional
Summary:    Additional tables for general table engine of IBus.
Group:      System Environment/Libraries
Requires:   %{name} = %{version}-%{release}

%description additional
This package contains additional tables.

%prep
%setup -q

%build
%configure \
	--disable-static \
	--enable-additional

make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=${RPM_BUILD_ROOT} NO_INDEX=true install

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post additional
ibus-indic-table-createdb -i -n %{_datadir}/ibus-indic-table/indic-tables/additional/compose.db
ibus-indic-table-createdb -i -n %{_datadir}/ibus-indic-table/indic-tables/additional/latex.db

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING README
%{_libdir}/pkgconfig/ibus-indic-table.pc
%{_datadir}/ibus-indic-table/engine
%{_datadir}/ibus-indic-table/data
%{_datadir}/ibus-indic-table/indic-tables/template.txt
%dir %{_datadir}/ibus-indic-table/indic-tables
%{_datadir}/ibus-indic-table/icons/ibus-indic-table.svg
%{_datadir}/ibus-indic-table/icons/full-letter.svg
%{_datadir}/ibus-indic-table/icons/full-punct.svg
%{_datadir}/ibus-indic-table/icons/half-letter.svg
%{_datadir}/ibus-indic-table/icons/half-punct.svg
%{_datadir}/ibus-indic-table/icons/onechar.svg
%{_datadir}/ibus-indic-table/icons/phrase.svg
%{_datadir}/ibus-indic-table/icons/py-mode.svg
%{_datadir}/ibus-indic-table/icons/tab-mode.svg
%{_datadir}/ibus-indic-table/icons/chinese.svg
%{_datadir}/ibus-indic-table/icons/dcommit.svg
%{_datadir}/ibus-indic-table/icons/english.svg
%{_datadir}/ibus-indic-table/icons/ncommit.svg
%{_datadir}/ibus-indic-table/icons/cb-mode.svg
%{_datadir}/ibus-indic-table/icons/sc-mode.svg
%{_datadir}/ibus-indic-table/icons/scb-mode.svg
%{_datadir}/ibus-indic-table/icons/tc-mode.svg
%{_datadir}/ibus-indic-table/icons/tcb-mode.svg
%dir %{_datadir}/ibus-indic-table/icons
%{_bindir}/ibus-engine-indic-table
%{_bindir}/ibus-indic-table-createdb

%files additional
%defattr(-,root,root,-)
%{_datadir}/ibus-indic-table/indic-tables/compose.db
%{_datadir}/ibus-indic-table/indic-tables/latex.db
%{_datadir}/ibus-indic-table/icons/compose.svg
%{_datadir}/ibus-indic-table/icons/latex.svg
%{_datadir}/ibus/engine/compose.engine
%{_datadir}/ibus/engine/latex.engine

%changelog
* Wed Feb 23 2011 Naveen Kumar <nav0007@gmail.com> - 1.3.0.20110301-1
- The first version.
